<?xml version="1.0" encoding="UTF-8"?>
<!-- rc8028.xslt, 7 juli 2023 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:fz814="http://ei.vektis.nl/verantwoording/fz814">

	<!-- Laden Configuratiefile	-->
	<xsl:import href="config_Vecozo.xml"/>

	<!-- retourcode 8028: De waarde van BerichtSoort moet voldoen aan de omgeving van VECOZO (productie of test) -->
	<xsl:template name="rc8028">
		<xsl:param name="Berichtsoort"/>
		
		<xsl:if test="normalize-space($Berichtsoort) != normalize-space($OmgevingVecozo)">
			<fz814:Feedback>
				<fz814:Retourcode>8028</fz814:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<fz814:BetrokkenElement>
					<fz814:Elementnaam><xsl:value-of select="local-name($Berichtsoort)"/></fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$Berichtsoort"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>
				<fz814:BetrokkenElement>
					<fz814:Elementnaam>OmgevingVecozo</fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$OmgevingVecozo"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>
			</fz814:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
