<?xml version="1.0" encoding="UTF-8"?>
<!-- rcDatum_vs_Huidigedatum.xslt, 7 juli 2023-->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:fz814="http://ei.vektis.nl/verantwoording/fz814">

	<!-- deze routine voert de volgende controle uit: 
		 	- als TeControlerenDatum een waarde bevat
				- controleer TeControlerenDatum met de gevraagde Vergelijking ten opzichte van de huidige datum uit config.xml, als TeControlerenDatum niet correct is, dan wordt Retourcode geretourneerd. -->

	<!-- Laden Configuratiefile	-->
	<xsl:import href="config_Vecozo.xml"/>

				
	<xsl:template name="rcDatum_vs_Huidigedatum">
		<xsl:param name="TeControlerenDatum"/>
		<xsl:param name="Vergelijking"/>
		<xsl:param name="Retourcode"/>
		
		<xsl:if test="($TeControlerenDatum != '')">
			<xsl:if test="($Vergelijking = 'kleinerofgelijkaan') and (normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($HuidigeDatum,'-','')))">
				<fz814:Feedback>
					<fz814:Retourcode><xsl:value-of select="$Retourcode"/></fz814:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<fz814:BetrokkenElement>
					<fz814:Elementnaam><xsl:value-of select="local-name($TeControlerenDatum)"/></fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$TeControlerenDatum"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>
				<fz814:BetrokkenElement>
					<fz814:Elementnaam>HuidigeDatum</fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$HuidigeDatum"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>
				</fz814:Feedback>
			</xsl:if>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
