<?xml version="1.0" encoding="UTF-8"?>
<!-- rcDatum_vs_Peildatum.xslt, 7 juli 2023 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:fz814="http://ei.vektis.nl/verantwoording/fz814">


	<!-- deze routine voert de volgende controle uit: 
		 	- als TeControlerenDatum een waarde bevat
				- controleer TeControlerenDatum met de gevraagde Vergelijking ten opzichte van Peildatum, als TeControlerenDatum niet correct is, dan wordt Retourcode geretourneerd. -->
					
	<xsl:template name="rcDatum_vs_Peildatum">
		<xsl:param name="TeControlerenDatum"/>
		<xsl:param name="Peildatum"/>
		<xsl:param name="Vergelijking"/>
		<xsl:param name="Retourcode"/>
		
		<xsl:if test="$TeControlerenDatum != ''">
			<xsl:if test="($Vergelijking = 'kleinerofgelijkaan') and (normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($Peildatum,'-',''))) or
								($Vergelijking = 'groterofgelijkaan') and (normalize-space(translate($TeControlerenDatum,'-','')) &lt; normalize-space(translate($Peildatum,'-',''))) or
								($Vergelijking = 'groterdan') and not(normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($Peildatum,'-',''))) or
								($Vergelijking = 'gelijkaan') and not(normalize-space(translate($TeControlerenDatum,'-','')) = normalize-space(translate($Peildatum,'-','')))">
				<fz814:Feedback>
					<fz814:Retourcode><xsl:value-of select="$Retourcode"/></fz814:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<fz814:BetrokkenElement>
					<fz814:Elementnaam><xsl:value-of select="local-name($TeControlerenDatum)"/></fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$TeControlerenDatum"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>
				<fz814:BetrokkenElement>
					<fz814:Elementnaam><xsl:value-of select="local-name($Peildatum)"/></fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$Peildatum"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>
				</fz814:Feedback>
			</xsl:if>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
